BizKitHub
DocsAPI ReferenceLedger/bff/ledger/cash/create
postLedgerAdmin BFF

/bff/ledger/cash/create

Create a cash document (draft, optionally posted right away)

LedgerpostBffLedgerCashCreate

Parameters

JSON body

Request body

application/json
entityIdstringRequired

Accounting entity external id.

Length: 16–24
postbooleanOptional
registerIdstringRequired
Length: 16–24
direction"in" | "out"Required
purpose"sale" | "purchase" | "invoice_payment" | "purchase_payment" | "transfer" | "other"Required
issueDatestringRequired
Example2026-11-04
taxDatestring | nullOptional
One of 2:
Variant 1
string
Example2026-11-04
Variant 2
null
partnerNamestring | nullOptional
One of 2:
Variant 1
string
Length: 0–255
Variant 2
null
partnerRegNostring | nullOptional
One of 2:
Variant 1
string
Length: 0–20
Variant 2
null
partnerVatIdstring | nullOptional
One of 2:
Variant 1
string
Length: 0–32
Variant 2
null
descriptionstringRequired
Length: 1–255
vatMode"none" | "vat"Required
totalnumber | nullOptional
One of 2:
Variant 1
number
Range: 0–∞
Variant 2
null
vatLinesobject[] | nullOptional
One of 2:
Variant 1
object[]
Each array item:
vatRatenumberRequired
Range: 0–99
grossnumberRequired
Variant 2
null
counterAccountCodestring | nullOptional
One of 2:
Variant 1
string
Length: 0–16
Variant 2
null
settledDocumentIdstring | nullOptional
One of 2:
Variant 1
string
Length: 16–24
Variant 2
null
settledAccountCodestring | nullOptional
One of 2:
Variant 1
string
Length: 0–16
Variant 2
null
notestring | nullOptional
One of 2:
Variant 1
string
Length: 0–5000
Variant 2
null

Response schema

1 status code documented

200Success
successbooleanRequired
idstringRequired
documentNostring | nullRequired
One of 2:
Variant 1
string
Variant 2
null
warningsstring[]Required

Response example

application/json
{
  "success": false,
  "id": "example_id",
  "warnings": [
    "string"
  ]
}

Request example

POST /bff/ledger/cash/create

post
curl -X POST "https://api.bizkithub.com/bff/ledger/cash/create" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "entityId": "example_entityId",
  "post": false,
  "registerId": "example_registerId",
  "issueDate": "2026-11-04",
  "description": "example_description"
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key